(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/platform-browser')) :
    typeof define === 'function' && define.amd ? define('angular-svg-graphs-library', ['exports', '@angular/core', '@angular/platform-browser'], factory) :
    (global = global || self, factory(global['angular-svg-graphs-library'] = {}, global.ng.core, global.ng.platformBrowser));
}(this, function (exports, core, platformBrowser) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AngularSvgGraphsLibraryService = /** @class */ (function () {
        function AngularSvgGraphsLibraryService() {
        }
        AngularSvgGraphsLibraryService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        AngularSvgGraphsLibraryService.ctorParameters = function () { return []; };
        /** @nocollapse */ AngularSvgGraphsLibraryService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function AngularSvgGraphsLibraryService_Factory() { return new AngularSvgGraphsLibraryService(); }, token: AngularSvgGraphsLibraryService, providedIn: "root" });
        return AngularSvgGraphsLibraryService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AngularSvgGraphsLibraryComponent = /** @class */ (function () {
        function AngularSvgGraphsLibraryComponent() {
        }
        /**
         * @return {?}
         */
        AngularSvgGraphsLibraryComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        AngularSvgGraphsLibraryComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'asg-AngularSvgGraphsLibrary',
                        template: "\n    <p>\n      angular-svg-graphs-library works!\n    </p>\n  "
                    }] }
        ];
        /** @nocollapse */
        AngularSvgGraphsLibraryComponent.ctorParameters = function () { return []; };
        return AngularSvgGraphsLibraryComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AsgBarChartComponent = /** @class */ (function () {
        function AsgBarChartComponent() {
            this.data = [];
            this.barBorderColor = "#fff";
            this.barBorderStrokeWidth = "0.2";
            this.barFill = "#00458a";
            this.barWidth = 20;
            this.textFill = "white";
            this.textFontSize = "5";
            this.xAxisShow = "true";
            this.xAxisStroke = "#ccc";
            this.xAxisStrokeWidth = "0.5";
            this.yAxisShow = "true";
            this.yAxisStroke = "#ccc";
            this.yAxisStrokeWidth = "0.5";
            this.bars = [];
        }
        /**
         * @return {?}
         */
        AsgBarChartComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var i = 0;
            this.data.forEach((/**
             * @param {?} bar
             * @return {?}
             */
            function (bar) {
                /** @type {?} */
                var o = {
                    x: _this.barWidth * i++,
                    y: bar,
                    textTransform: " translate(5, " + ((bar * 2) - 7) + ") scale(1, -1)"
                };
                _this.bars.push(o);
            }));
        };
        AsgBarChartComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'asg-bar-chart',
                        template: "\t<svg    width=\"25em\"\n\t\t\theight=\"20em\"\n\t\t\tviewBox=\"-15 -5 230 425\">\n\t\t<g transform=\"matrix(1 0 0 -1 0 280)\">\n\t\t\t<ng-container *ngFor=\"let dt of bars;\">\n\t\t\t\t<rect   [attr.width]=\"barWidth\" \n\t\t\t\t\t\t[attr.height]=\"dt.y\" \n\t\t\t\t\t\t[attr.x]=\"dt.x\" \n\t\t\t\t\t\t[attr.fill]=\"barFill\"\n\t\t\t\t\t\t[attr.stroke]=\"barBorderColor\"\n\t\t\t\t\t\t[attr.stroke-width]=\"barBorderStrokeWidth\">\n\t\t\t\t</rect>\t\t\n\t\t\t\t<text   [attr.x]=\"dt.x\" \n\t\t\t\t\t\t[attr.y]=\"dt.y\" \n\t\t\t\t\t\t[attr.fill]=\"textFill\"\n\t\t\t\t\t\t[attr.font-size]=\"textFontSize\"\n\t\t\t\t\t\t[attr.transform]=\"dt.textTransform\">{{ dt.y }}</text>\n\t\t\t</ng-container>\n\t\t\t<ng-container *ngIf=\"xAxisShow\">\n\t\t\t\t<line   id=\"xAxis\"\n\t\t\t\t\t\tx1=\"0\" \n\t\t\t\t\t\ty1=\"0\" \n\t\t\t\t\t\tx2=\"205\" \n\t\t\t\t\t\ty2=\"0\"\n\t\t\t\t\t\t[attr.stroke]=\"xAxisStroke\" \n\t\t\t\t\t\t[attr.stroke-width]=\"xAxisStrokeWidth\">\n\t\t\t\t</line>\n\t\t\t</ng-container>\n\t\t\t<ng-container *ngIf=\"yAxisShow\">\n\t\t\t\t<line   id=\"yAxis\"\n\t\t\t\t\t\tx1=\"0\" \n\t\t\t\t\t\ty1=\"0\" \n\t\t\t\t\t\tx2=\"0\" \n\t\t\t\t\t\ty2=\"150\"\n\t\t\t\t\t\t[attr.stroke]=\"yAxisStroke\" \n\t\t\t\t\t\t[attr.stroke-width]=\"yAxisStrokeWidth\">\n\t\t\t\t</line>\n\t\t\t</ng-container>\n\t\t</g>\n\t</svg>\n",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        AsgBarChartComponent.ctorParameters = function () { return []; };
        AsgBarChartComponent.propDecorators = {
            data: [{ type: core.Input }],
            barBorderColor: [{ type: core.Input }],
            barBorderStrokeWidth: [{ type: core.Input }],
            barFill: [{ type: core.Input }],
            barWidth: [{ type: core.Input }],
            textFill: [{ type: core.Input }],
            textFontSize: [{ type: core.Input }],
            xAxisShow: [{ type: core.Input }],
            xAxisStroke: [{ type: core.Input }],
            xAxisStrokeWidth: [{ type: core.Input }],
            yAxisShow: [{ type: core.Input }],
            yAxisStroke: [{ type: core.Input }],
            yAxisStrokeWidth: [{ type: core.Input }]
        };
        return AsgBarChartComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AngularSvgGraphsLibraryModule = /** @class */ (function () {
        function AngularSvgGraphsLibraryModule() {
        }
        AngularSvgGraphsLibraryModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [AngularSvgGraphsLibraryComponent, AsgBarChartComponent],
                        imports: [platformBrowser.BrowserModule
                        ],
                        exports: [AngularSvgGraphsLibraryComponent],
                        schemas: [core.NO_ERRORS_SCHEMA]
                    },] }
        ];
        return AngularSvgGraphsLibraryModule;
    }());

    exports.AngularSvgGraphsLibraryComponent = AngularSvgGraphsLibraryComponent;
    exports.AngularSvgGraphsLibraryModule = AngularSvgGraphsLibraryModule;
    exports.AngularSvgGraphsLibraryService = AngularSvgGraphsLibraryService;
    exports.ɵa = AsgBarChartComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=angular-svg-graphs-library.umd.js.map
