import { Injectable, ɵɵdefineInjectable, Component, Input, NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AngularSvgGraphsLibraryService {
    constructor() { }
}
AngularSvgGraphsLibraryService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
AngularSvgGraphsLibraryService.ctorParameters = () => [];
/** @nocollapse */ AngularSvgGraphsLibraryService.ngInjectableDef = ɵɵdefineInjectable({ factory: function AngularSvgGraphsLibraryService_Factory() { return new AngularSvgGraphsLibraryService(); }, token: AngularSvgGraphsLibraryService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AngularSvgGraphsLibraryComponent {
    constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
AngularSvgGraphsLibraryComponent.decorators = [
    { type: Component, args: [{
                selector: 'asg-AngularSvgGraphsLibrary',
                template: `
    <p>
      angular-svg-graphs-library works!
    </p>
  `
            }] }
];
/** @nocollapse */
AngularSvgGraphsLibraryComponent.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AsgBarChartComponent {
    constructor() {
        this.data = [];
        this.barBorderColor = "#fff";
        this.barBorderStrokeWidth = "0.2";
        this.barFill = "#00458a";
        this.barWidth = 20;
        this.textFill = "white";
        this.textFontSize = "5";
        this.xAxisShow = "true";
        this.xAxisStroke = "#ccc";
        this.xAxisStrokeWidth = "0.5";
        this.yAxisShow = "true";
        this.yAxisStroke = "#ccc";
        this.yAxisStrokeWidth = "0.5";
        this.bars = [];
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        /** @type {?} */
        let i = 0;
        this.data.forEach((/**
         * @param {?} bar
         * @return {?}
         */
        bar => {
            /** @type {?} */
            let o = {
                x: this.barWidth * i++,
                y: bar,
                textTransform: " translate(5, " + ((bar * 2) - 7) + ") scale(1, -1)"
            };
            this.bars.push(o);
        }));
    }
}
AsgBarChartComponent.decorators = [
    { type: Component, args: [{
                selector: 'asg-bar-chart',
                template: "\t<svg    width=\"25em\"\n\t\t\theight=\"20em\"\n\t\t\tviewBox=\"-15 -5 230 425\">\n\t\t<g transform=\"matrix(1 0 0 -1 0 280)\">\n\t\t\t<ng-container *ngFor=\"let dt of bars;\">\n\t\t\t\t<rect   [attr.width]=\"barWidth\" \n\t\t\t\t\t\t[attr.height]=\"dt.y\" \n\t\t\t\t\t\t[attr.x]=\"dt.x\" \n\t\t\t\t\t\t[attr.fill]=\"barFill\"\n\t\t\t\t\t\t[attr.stroke]=\"barBorderColor\"\n\t\t\t\t\t\t[attr.stroke-width]=\"barBorderStrokeWidth\">\n\t\t\t\t</rect>\t\t\n\t\t\t\t<text   [attr.x]=\"dt.x\" \n\t\t\t\t\t\t[attr.y]=\"dt.y\" \n\t\t\t\t\t\t[attr.fill]=\"textFill\"\n\t\t\t\t\t\t[attr.font-size]=\"textFontSize\"\n\t\t\t\t\t\t[attr.transform]=\"dt.textTransform\">{{ dt.y }}</text>\n\t\t\t</ng-container>\n\t\t\t<ng-container *ngIf=\"xAxisShow\">\n\t\t\t\t<line   id=\"xAxis\"\n\t\t\t\t\t\tx1=\"0\" \n\t\t\t\t\t\ty1=\"0\" \n\t\t\t\t\t\tx2=\"205\" \n\t\t\t\t\t\ty2=\"0\"\n\t\t\t\t\t\t[attr.stroke]=\"xAxisStroke\" \n\t\t\t\t\t\t[attr.stroke-width]=\"xAxisStrokeWidth\">\n\t\t\t\t</line>\n\t\t\t</ng-container>\n\t\t\t<ng-container *ngIf=\"yAxisShow\">\n\t\t\t\t<line   id=\"yAxis\"\n\t\t\t\t\t\tx1=\"0\" \n\t\t\t\t\t\ty1=\"0\" \n\t\t\t\t\t\tx2=\"0\" \n\t\t\t\t\t\ty2=\"150\"\n\t\t\t\t\t\t[attr.stroke]=\"yAxisStroke\" \n\t\t\t\t\t\t[attr.stroke-width]=\"yAxisStrokeWidth\">\n\t\t\t\t</line>\n\t\t\t</ng-container>\n\t\t</g>\n\t</svg>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
AsgBarChartComponent.ctorParameters = () => [];
AsgBarChartComponent.propDecorators = {
    data: [{ type: Input }],
    barBorderColor: [{ type: Input }],
    barBorderStrokeWidth: [{ type: Input }],
    barFill: [{ type: Input }],
    barWidth: [{ type: Input }],
    textFill: [{ type: Input }],
    textFontSize: [{ type: Input }],
    xAxisShow: [{ type: Input }],
    xAxisStroke: [{ type: Input }],
    xAxisStrokeWidth: [{ type: Input }],
    yAxisShow: [{ type: Input }],
    yAxisStroke: [{ type: Input }],
    yAxisStrokeWidth: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AngularSvgGraphsLibraryModule {
}
AngularSvgGraphsLibraryModule.decorators = [
    { type: NgModule, args: [{
                declarations: [AngularSvgGraphsLibraryComponent, AsgBarChartComponent],
                imports: [BrowserModule
                ],
                exports: [AngularSvgGraphsLibraryComponent],
                schemas: [NO_ERRORS_SCHEMA]
            },] }
];

export { AngularSvgGraphsLibraryComponent, AngularSvgGraphsLibraryModule, AngularSvgGraphsLibraryService, AsgBarChartComponent as ɵa };
//# sourceMappingURL=angular-svg-graphs-library.js.map
